body {
	width: 100%;
	max-width: 1400px;
	margin: 0 auto;
	background-color: #f8fafc;
	font-family: sans-serif;
	/*padding: 5px 5px;*/
}

section{
	padding: 10px 10px;
	margin: 0 auto;
}

.section-title {
	font-size: 28px;
    color: #222222;
}

.section-info {
	font-size: 18px;
	font-weight: bold;
	color: #355ed8;
}


#nav {
	width: 100%;
	max-width: 1200px;
	/*padding: 0 10px;*/
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: absolute;
	right: 50%;
	transform: translateX(50%);
	border-radius: 0 0 10px 10px;
	background-color: #355ed8;
	z-index: 55;
	animation: navDrop 0.5s ease-out forwards;
}

@keyframes navDrop {
    from {
        opacity: 0;
        transform: translate(50%, -100%);
    }

    to {
        opacity: 1;
        transform: translate(50%, 0);
    }
}

#nav  > div {
	display: flex;
	align-items: center;
	padding: 0 10px;
}

#nav > div > .logo {
	border: 2px solid #f9f9f9;
	border-radius: 5px;
	color: #f9f9f9;
	padding: 5px 5px;
	margin: 0 5px;
	font-size: 26px;
}

#nav > div > p {
	font-size: 22px;
	color: #f9f9f9;
}

.nav-panel > ul {
	display: flex;
	list-style: none;
	gap: 20px;
	padding: 0 10px;
}

.nav-panel > ul > li {
	text-decoration: none;
	font-size: 22px;
	margin: 0 auto;
}

.nav-panel > ul > li > a {
	text-decoration: none;
	color: #f9f9f9;
}

.nav-panel > ul > li > a:hover {
    text-decoration: underline;
}

#hero {
    height: 80vh;
    padding-top: 20vh;
}

.hero-wrapper {
    position: relative;
    height: 80vh;
    padding-top: 20vh;
    background-image: url("../images/hero-image.webp");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.hero-wrapper::before {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        rgba(0, 0, 0, 0.45),
        rgba(0, 0, 0, 0)
    );
}

.hero-content {
    position: relative;
    width: 50%;
    z-index: 1;
    padding: 0 10px;
    color: #f9f9f9;
}

.hero-content > h1 {
	font-weight: bold;
    font-size: 26px;
    color: #355ed8;
}

.hero-content > h2 {
    font-size: 36px;
}

.hero-content > p {
	font-size: 20px;
}

.cta-wrapper {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-around;
	padding: 5px 5px;
	height: 20vh;
}

.button-primary{
	color: #f9f9f9;
	background-color: #355ed8;
	font-size: 22px;
	text-decoration: none;
	padding: 5px 10px;
	border-radius: 10px;
}

.button-primary:hover {
	background-color: #344ed8;
}

.button-secondary{
	color: #355ed8;
	background-color: #f9f9f9;
	font-size: 22px;
	text-decoration: none;
	padding: 5px 10px;
	border-radius: 10px;
}

.button-secondary:hover {
	background-color: #f0f0f0;
}

.section-wrapper{
	padding: 40px 10px;
	max-width: 1200px;
	margin: 0 auto;
} h2 {
    /*margin: auto auto;*/
}


.service-grid {
	max-width: 1000px;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(2, 1fr);
	gap: 15px;
	align-items: center;
	justify-content: center;
	margin: 0 auto;
	padding: 20px 0;
}

.service-card {
	max-width: 300px;
	min-height: 200px;
	color: #f9f9f9;
	background-color: #344ed8;
	border-radius: 5px;
	padding: 10px;
	box-shadow: 0 4px 10px rgba(0, 0, 0, 0.25);
}

.service-card:hover {
	scale: 1.09;
}

.service-card > img {
	width: 40px;
}

#about {
	background-color: #e1e1e1;
}
.flex-col-2{
    max-width: 1200px;
    margin: 0 auto;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}

#about > div > header {
	max-width: 30%;
}

#about > div > header > img {
	max-width: 500px;
}
#about > div > aside {
    width: 100%;
}

#about > div > aside > img {
    display: block;
    max-width: 400px;
    margin: 0 auto;
}

#contact {
    max-width: 1200px;
    margin: 0 auto;
}

.flex-col {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

form {
	max-width: 800px;
	width: 50%;
	padding: 20px;
	margin: 0 auto;
	background-color: #344ed8;
	border-radius: 12px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	gap: 10px;
}

label {
	color: #f9f9f9;
	padding: 5px;
	max-width: 600px;
	width: 75%;
	display: flex;
	flex-direction: row;
	align-items: center;
	/*justify-content: space-between;*/
}

input {
    width: 100%;
}

textarea {
    width: 100%;
}

button {
	width: 150px;
	margin: 0 auto;
}

footer {
    /*max-width: 1400px;*/
    /*width: 1200px;*/
    background-color: #344ed8;
    color: #f9f9f9;
    padding: 10px;
} p {
    width: fit-content;
    margin: 0 auto;
}

.footer-article {
    width: 400px;
    max-width: 100%;
}

.footer-article > h2 {
    font-size: 18px;
}

.footer-article > p {
    font-size: 14px;
}

.verticle-nav {
    list-style: none;
    font-size: 14px;
}

.verticle-nav > li > a {
    text-decoration: none;
    color: #f9f9f9;
}

@media (max-width: 600px) {
    #nav {
	     width: 100%;
						padding-top: 10px;
	    	display: flex;
	    	flex-direction: column;
	    	align-items: center;
	    	position: absolute;
	    	right: 50%;
	    	transform: translateX(50%);
	    	border-radius: 0 0 10px 10px;
	    	background-color: #355ed8;
	    	z-index: 55;
	    	animation: navDrop 0.5s ease-out forwards;
    }

    .hero-content {
        width: 100%;
        padding: 0px;
    }

    .service-grid {
    	max-width: 1000px;
    	display: grid;
    	grid-template-columns: 1fr;
    	grid-template-rows: 1fr;
    	gap: 15px;
    	align-items: center;
    	justify-content: center;
    	margin: 0 auto;
    	padding: 20px 0;
    }

    .service-card {
        margin: 0 auto;
    }

    #about > div > header {
        max-width: 100%;
    }

    #about > div > aside {
        display: none;
    }

    .flex-col-2 {
        flex-direction: column;
    }

    form {
        width: 75%;
    }

    .verticle-nav {
        width: 100%;
    } p {
        width: 100%;
    }
}
